class DDLParser::Translator::CreateIndexHeader

  attr_accessor :index_head, :index_columns


  def initialize(index_hash)
    if index_hash.is_a?(Hash) and index_hash.count > 1
      @index_head = index_hash
      @index_columns = [{:field =>index_hash[:field], :sort_type => index_hash[:sort_type]}]
    else
      if index_hash.is_a?(Array) and index_hash.count > 1
        @index_head = index_hash.first.is_a?(Hash) ? index_hash.first : {}
        @index_columns = index_hash[1..-1]
      else
        @index_head = {}
        @index_columns = []
      end
    end
  end

  def to_hash
    {:head => @index_head, :columns => @index_columns}
  end

  def parse_tree
    to_hash
  end

  def index_name
    @index_head[:index_name].to_s
  end

  def table_name
    @index_head[:table_name].to_s
  end

  def object_property
    @index_head[:object_property]
  end

  def option_reverse_scans
    index_head.has_key?(:index_option) && index_head[:index_option].has_key?(:reverse_scans_property) ? 'Y' : 'N'
  end

  def columns
    index_columns.map{|e|DDLParser::Translator::Column.new(e)}
  end

end