class DDLParser::Translator::CreateTable

  attr_accessor :parse_tree

  def initialize(parse_tree)
    @parse_tree=parse_tree
  end

  def elements
    [@parse_tree[:elements]].flatten
  end

  def table_name
    @parse_tree[:table_name].to_s
  end

  def columns
    elements.map{|e|e[:column]}.compact.map{|e|DDLParser::Translator::Column.new(e)}
  end

  def primary_key
    elements.map{|e| e[:primary_key]}.compact.first[:item]
  end

  def constraints
    elements.map{|e|e[:constraint]}.compact
  end

end